@import url("https://rsms.me/inter/inter.css");

:root {
  --bg: #141414;
  --bg-highlight: #1F1F1F;
  --accent: #F081B3;
  --fg: #fcfcfc;
  --fg-lower: #cccccc;

  --media-border-radius: 0;
}

html {
  background-color: var(--bg);
  margin: auto;
  display: flex;
  padding: 0;
}

body {
  padding: 0;
  margin: auto;
  width: 100%;
  color: var(--fg);
  font-family: Inter, "Noto Sans CJK", sans-serif;
  line-height: 1.5;
  font-size: 1.1em;
}

h1, h2, h3, h4, h5, h6 {
  line-height: 1.4;
  font-weight: 300;
}

a {
  color: var(--accent);
}

a:hover {
  text-decoration: none !important;
}

footer {
  background-color: var(--bg-highlight);
  font-size: 0.88em;
  line-height: 1.3;
  color: var(--fg-lower);
  padding: 1.5em 0;
}

.icon-fa {
    margin: 0 .1em;
    width: 1.28em;
    height: 1.28em;
    vertical-align: text-bottom;
}

.header-bg {
  padding-bottom: 3em;
}

.header-bg > *:nth-child(1) {
  margin-bottom: 3em;
}

img {
    max-width: 100%;
    width: auto;
    height: auto;
    margin: auto;
    margin-left: 0;
    margin-right: auto;
}

button {
    cursor: pointer;
    font-size: 1.2em;
    padding: 0.5em 0.8em;
    background-color: var(--fg);
    border: none;
    color: var(--bg);
    font-family: Inter, "Sarasa UI SC", "Sarasa Gothic SC", "Noto Sans CJK", sans-serif !important;
}

button:hover {
  background-color: var(--accent);
  border: none;
  color: var(--fg);
}


/* navbar */
.navbar {
  display: flex;
  padding: 0.8em 1.5em;
  justify-content: space-between;
  align-items: center;
  position: relative;
  font-size: 1.1em;
}

.navbar a {
  text-decoration: none;
  color: var(--fg);
}

.navbar ul.menu {
  display: none;
  list-style-type: none;
  margin: 0;
  padding: 0;
  margin-left: auto;
  gap: 1em;
  /* display: flex;
  justify-content: space-around; */
}

.menu li {
  display: flex;
  color: var(--fg);

  align-items: center;
  justify-content: center;
  opacity: 70%;
  /* padding: 0.2em 0.6em; */
}

.menu li:hover {
  opacity: 100%;
}

.menu li.active {
  opacity: 100%;
}

[for="navbar-toggle"] {
  cursor: pointer;
}

.navbar-toggle-icon {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  /* padding-left: 1em; */
}

#navbar-toggle {
  display: none;
}

.navbar:has(#navbar-toggle:checked) .menu {
  display: flex;
}

.mobile-menu-close {
  display: none !important;
}

.carrottv-logo {
  vertical-align: middle;
}

/* videojs */
video-player {
  aspect-ratio: 16 / 9;
  width: 100%;
  display: block !important;
}

@media (max-width: 768px) {
  .navbar ul.menu {
    flex-direction: column;
    
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    
    padding: 1em 0;
    gap: 1em;
    z-index: 999;
  }

  .menu li {
    display: block;
    padding: 0 1.5em;
  }

  .navbar:has(#navbar-toggle:checked) {
    background-color: var(--bg-highlight);
  }

  .mobile-menu-close {
    display: block !important;
  }

  ul.menu {
    background-color: var(--bg-highlight);
  }
}